# Bolt Unlocker

This mod allows you to remove the bolt lock from any weapon of your choosing thanks to ~~one of MTINM's new features~~ stolen code from MTINM. This is extremely useful for AKs and other guns that don't come with a bolt lock. It also lets you manually lock back the bolt yourself, which is useful for HK-slappable guns. Guns by default have to have this feature added to the gun manually by the mod creator, but this mod lets you remove it anyways, which is especially nice for guns that are old or won’t get updated to support this feature.

## How To Use
Run the game once, then check `BONEWORKS\UserData\MelonPreferences.cfg` for a new config option. In there, you’ll see a new line for the Bolt Unlocker mod. What you do is add the name of the gun you want the bolt lock removed from to the list. This list is case sensitive. Then run the game. If errors occur, chances are you have a syntax error, like a misplaced or missing comma/quotation (commas come AFTER the quotation marks of the name, and the last one in the list doesn’t need a comma).

## Where are the gun names?
The gun names can be found in the MelonLoader log, found in `BONEWORKS\MelonLoader\Latest.log`. In there, you’ll see a list of your custom items. Let’s say you wanted to remove the bolt lock from Naeqirelle's Sabrelake AK-47 variant. You should see this in the log:

```
[14:41:42.883] [ModThatIsNotMod] Loaded 2 items from ak47 sabrelake.melon by UNKNOWN
[14:41:42.884] [ModThatIsNotMod]   - Rifle AK47 Sabrelake  
[14:41:42.885] [ModThatIsNotMod]   - Rifle AK47 Sabrelake Mag
```

That “Rifle AK47 Sabrelake” bit is the part you add to the list, basically. Pay attention if that gun mod is a pack and comes with separate variants, but remember to also ignore the magazine item(s).

If you want to add a vanilla gun, like make it so you lock back the bolts manually on the vanilla MP5s, they have their own internal names.

## Vanilla Gun Names
- handgun_Eder22
- handgun_1911
- handgun_P350
- tool_stapler
- smg_UZI
- smg_MP5
- smg_MP5K
- smg_MP5K_flashlight
- smg_MP5K_plastic
- smg_MP5K_RDS
- M16
- rifle_M16_Ironsights
- rifle_M16_LaserForegrip
- rifle_M16_Scoped
- rifle_MK18_Ironsights
- rifle_MK18_Holosight
- rifle_MK18_LaserForegrip
- rifle_MK18_Sabrelake

Credits to Jack Foxtrot for writing the description cause to be honest I have no clue what this mod does.